VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Macros | Typedefs
module_linux.cpp File Reference
`#include "module.h"`
`#include "../utility/optional.h"`
`#include "../utility/stringconvert.h"`
`#include <algorithm>`
`#include <dlfcn.h>`
`#include <sys/types.h>`
`#include <sys/utsname.h>`
`#include <unistd.h>`
`#include <experimental/filesystem>`

## Namespaces
namespace | VST3
namespace | VST3::Hosting

## Macros
#define | USE_EXPERIMENTAL_FS 1

## Typedefs
using | ModuleEntryFunc = bool(*)(void *)
using | ModuleExitFunc ) = bool(*)(
using | Path = filesystem::path

## Macro Definition Documentation

#define USE_EXPERIMENTAL_FS 1

## Typedef Documentation

using ModuleEntryFunc = bool (*) (void*)

using ModuleExitFunc = bool (*) (

## Variable Documentation

void* mModule nullptr

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.